'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Input = exports.Input = _react2.default.createClass({
  displayName: 'Input',

  render: function render() {
    var element = this.props.element;
    var input = void 0;

    input = element.renderElement();

    if (element.props.addonBefore || element.props.addonAfter || element.props.buttonBefore || element.props.buttonAfter) {
      input = element.renderInputGroup(input);
    }
    return _react2.default.createElement(
      _reactBootstrap.FormGroup,
      element.getValidationState() ? { validationState: element.getValidationState() } : {},
      _react2.default.createElement(
        _reactBootstrap.Col,
        { componentClass: _reactBootstrap.ControlLabel, className: element.getLabelClassName(), sm: 3 },
        element.props.label,
        element.showRequired() ? _react2.default.createElement(
          'span',
          { className: 'required-symbol' },
          '*'
        ) : ''
      ),
      _react2.default.createElement(
        _reactBootstrap.Col,
        { sm: 9 },
        input,
        _react2.default.createElement(
          _reactBootstrap.HelpBlock,
          null,
          element.getErrorMessage() ? element.getErrorMessage() : this.props.help
        )
      )
    );
  }

});
module.exports = Input;