'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Textarea = _react2.default.createClass({
  displayName: 'Textarea',

  render: function render() {
    var element = this.props.element;

    return _react2.default.createElement(
      _reactBootstrap.FormGroup,
      element.getValidationState() ? { validationState: element.getValidationState() } : {},
      _react2.default.createElement(
        _reactBootstrap.Col,
        { componentClass: _reactBootstrap.ControlLabel, className: element.getLabelClassName(), sm: 3 },
        element.props.label,
        element.showRequired() ? _react2.default.createElement(
          'span',
          { className: 'required-symbol' },
          '*'
        ) : ''
      ),
      _react2.default.createElement(
        _reactBootstrap.Col,
        { sm: 9 },
        element.renderElement(),
        _react2.default.createElement(
          _reactBootstrap.HelpBlock,
          null,
          element.getErrorMessage()
        )
      )
    );
  }
});
module.exports = Textarea;